PROCEDURE Gotoxy( x, y : integer );

(*      PROCEDURE GOTOXY() is a subroutine that allows the movement of
                character cursor to a specified point on the screen with
                origin at the top left corner.  Must be INCLUDED during
                compilation.  This subroutine is functionally the same
                as GOTOXY found in TURBO-PASCAL for the PC.
                Kevin J. Gingrich       6/6/86



                Input   x, y    Integer

                Output          None
                                                                             *)


VAR
  response : STRING ;

BEGIN

  (* Initialize the character string *)
     response := '' ;

  (* Ensure that we are moving to a bona fide screen location *)
     IF y > 25 THEN y := 25 ;
     IF y < 1 THEN y := 1 ;
     IF x > 80 THEN x := 80 ;
     IF x < 1 THEN x := 1 ;

  (* Append the appropriate control characters *)
     response := concat(chr(27),chr(89));

  (* Move the cursor *)
     write(response,chr(y+31),chr(x+31));


END;
